def CertifyEndZ(a0,a1,a2,a3,a4,a5=1,a6=0):
    return BoundDiscriminant(a0,a1,a2,a3,a4,a5,a6)==1

def BoundDiscriminant(a0,a1,a2,a3,a4,a5=1,a6=0):
	discBound=0;
	poly=ZZ['x']([a0,a1,a2,a3,a4,a5,a6])
	discPoly=poly.discriminant();
	if a6==0 :
		maxP=500
	else :
		maxP=100
	for p in range (3,maxP):
		if is_prime(p) and discPoly % p != 0 :
			q=Frobenius_Polynomial(p,a0,a1,a2,a3,a4,a5,a6,slow=false)
			q=twistPoly12(q)
			if(q.is_irreducible()) :
				if(q.coefficients(sparse=false)[2] % p!=0) :
					K1=NumberField(q,'b')
					disc=K1.discriminant()
					discBound=GCD(discBound,disc)
					if discBound<=4 :
						return 1
	return discBound;

