def H24(a0,a1,a2,a3,a4,a5=1,a6=0,verbose=false):
    poly=QQ['x']([a0,a1,a2,a3,a4,a5,a6])
    I2,I4,I6,I10=igusa_clebsch_invariants(poly)
    if(verbose):
      print(poly)
      print I2,I4,I6,I10;
    R.<a,d,r> = QQ[]
    A1 = 2*a^2*(d-1)^2*(d^2-a-1);
    A = (3*a*d^2 + 10*a*d + (-3*a^2 + 5*a - 1/3));
    B1 = (2*a^2/3)*(-3*d^6 + 6*d^5 + (6*a+2)*d^4 - (6*a+10)*d^3 
        - (9*a^2+5*a-3)*d^2 + (6*a^2+4*a+4)*d + (3*a^3+3*a^2+a-2));
    B = ((-11*a^2+3*a)*d^2 + (-14*a^2+14/3*a)*d + (-5*a^2+7/3*a+2/27));
    B2 = (a/2);
    '''
    [-24*B1/A1, -12*A, 96*(A/A1)*B1-36*B, -4*A1*B2]
    '''
    J = R.ideal(-24*B1-r*I2*A1, -12*A-r^2*I4, 96*A*B1-36*B*A1 - r^3*I6*A1, -4*A1*B2-r^5*I10)
    V=J.variety()
    if (verbose):
      print V
    return (len(V)>0)