load("TestSingleCurve.sage")
R.<x> = PolynomialRing(Integers())

# trivial
ComputeEndomorphismRing(x^2+x, x^3+1); 

# RM \sqrt{17}
ComputeEndomorphismRing(x^5 + 7*x^3 + 2*x^2 + 10*x + 10);

# (5,5)-splitting
ComputeEndomorphismRing(x^5 - 3*x^3 + 5*x^2 + 6*x - 5, verbose=true);

# (7,7)-splitting
ComputeEndomorphismRing(x^6+3*x^5+2*x^4+7*x^3+11*x^2+14, x^2+x, verbose=true);

# QM
ComputeEndomorphismRing(x^5 + 4*x^4 + 10*x^3 + 8*x^2 + 2*x);

# QM
ComputeEndomorphismRing(x^5 + x^4 + 4*x^3 + 8*x^2 + 5*x + 1);

# RM \sqrt{5}
ComputeEndomorphismRing(-x^5, x^3+x+1);

# CM
ComputeEndomorphismRing(x^5, 1);

